Name:           xawtv
Version:        3.103
Release:        %mkrel 13
Summary:        X11 program for watching TV
Group:          Video/Players
URL:            http://linux.bytesex.org/xawtv/
License:        GPLv2

Source0:        http://linuxtv.org/downloads/xawtv/%{name}-%{version}.tar.bz2
Source2:        %{name}
Patch0:         xawtv-3.102-parallel.patch
Patch1:         xawtv-3.103-link.patch
Patch31:        xawtv-3.100-glibc.patch
Patch32:	xawtv-3.103-plugins-link.patch
BuildRequires:  MesaGLU-devel
BuildRequires:  aalib-devel
BuildRequires:  gpm-devel
BuildRequires:  motif-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libzvbi-devel >= 0.2.1
BuildRequires:  ncurses-devel
BuildRequires:  recode
BuildRequires:  slang-devel
BuildRequires:  xpm-devel
BuildRequires:  libxaw-devel
BuildRequires:  libfs-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxv-devel
BuildRequires:  libxxf86dga-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libdv-devel
BuildRequires:  liblirc-devel
BuildRequires:  libv4l-devel
BuildRequires:  libquicktime-devel
BuildRequires:  x11-server-common
BuildRequires:  libxp-devel
BuildRequires:  pkgconfig(fontconfig)

Requires:       common-licenses
Requires:       xawtv-common = %{version}

%package        common
Summary:        Common files for fbtv/motv/ttv/xawtv
Group:          Video/Players
Requires:       tv-fonts

%package        control
Summary:        Control video4linux devices
Group:          Video/Players

%package -n     fbtv
Summary:        A console program for watching TV
Group:          Video/Players
Requires:       xawtv-common = %{version}

%package        misc
Summary:        Xawtv miscellous stuff
Group:          Video/Utilities
Requires:       xawtv-common = %{version}

%package -n     radio
Summary:        Console radio application
Group:          Sound/Players
Provides:       xawtv-radio%{?_isa} = %{version}-%{release}
Obsoletes:      xawtv-radio < 3.74-3

%package -n     streamer
Summary:        Record audio and/or video streams
Group:          Video/Utilities
Requires:       xawtv-common = %{version}

%package -n     motv
Summary:        A Motif program for watching TV
Group:          Video/Players
Requires:       xawtv-common = %{version}

%package -n     ttv
Summary:        Display TV/video on a tty
Group:          Video/Players
Requires:       xawtv-common = %{version}

%package        web
Summary:        Videotext pages webserver & images capture/upload to a webserver
Group:          Networking/WWW
Requires:       xawtv-common = %{version}

%description
Xawtv is a Video4Linux Stream Capture Viewer, that is a X11 program for
watching TV.

It uses the Athena widgets.
MoTV has a nicer GUI which use lesstif (motif) widgets.

%description    common
These are common files for fbtv, motv, ttv and xawtv.
They are:
 * scantv: small text program that look for tv channels
 * streamer - capture tool (images / movies)

%description    control
Xawtv-remote and v4lctl can be used to control a video4linux driven TV card.

Xawtv-remote passes the command to a already running xawtv or motv instance
using X11 properties.

V4lctl is a command line tool that sets the parameters directly.

%description -n fbtv
Fbtv is a program for watching TV with your linux box.
It runs on top of a graphic framebuffer device (/dev/fb0).

This is useful for watching TV without X11.

fbtv shares the config file ($HOME/.xawtv) with the xawtv
application.

Check the xawtv(1) manpage for details about the config file format.

%description    misc
This package has a few tools you might find useful. They
have not to do very much to do with xawtv. They were written
for debugging:
 * dump-mixers - dump mixer settings to stdout
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * mtt         - teletext browser for X11 and console
 * ntsc-cc     - reads vbi data from /dev/vbi and decodes the enclosed cc data.
 * pia         - play media files
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

%description -n motv
This is a motv-based Video4Linux capture viewer.

It is basically xawtv with a more user-friendly GUI.
It has the same features, uses the same config file, has the same command
line switches, you can control it using xawtv-remote.
Most keyboards shortcuts are identical too.

%description -n radio
This is a ncurses-based radio application

%description -n streamer
streamer reads audio and/or video data from /dev/video0 and /dev/dsp
and writes the data to the disk.
Various output formats are supported.
Start streamer with '-h' for a list of options and supported output formats.

%description -n ttv
Ttv displays TV/video on a terminal, rendering the images using aalib.

%description    web
Webcam captures images from a video4linux device like bttv,
annotates them and and uploads them to a webserver using ftp
in a endless loop.

Alevtd is http daemon which serves videotext pages as HTML.
Tune in some station with a utility like v4lctl or some TV application.
Then start it and point your browser to http://localhost:5654/

Pages may be requested either in HTML format (http://localhost:5654/<page>/
or http://localhost:5654/<page>/<subpage>.html) or in ASCII text format
(http://localhost:5654/<page>/<subpage>.txt).
Subpage "00" can be used for pages without subpages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch31 -p0
%patch32 -p1 -b .libng

%build
autoreconf -fi
# We need this export to fix bug #5463 with <<Starting the "streamer" on the
# command line gives some undefined symbols in dlopen() from libm.so.
export LIBS="$LIBS -lm"
%define _disable_ld_no_undefined 1
%configure2_5x  --enable-xfree-ext \
                --enable-xvideo \
                --enable-aa \
                --enable-alsa \
                --disable-quicktime \
                --x-includes=%{_includedir}/freetype2

# Quicktime support not enabled, so libpng is not needed
find . -name 'Makefile' | xargs perl -pi -e 's/-lpng//g'
# The CC options appear to break the build so I'm removing them (SHLOMIF)
# %%make CC="gcc %ldflags"
%make

%install
perl -pi -e 's!-o root -g root!!g' src/Makefile
mkdir -p %{buildroot}%{_libdir}/X11/app-defaults
 %makeinstall_std ROOT="%{buildroot}" FONTDIR=%{buildroot}%{_datadir}/fonts/misc SUID_ROOT=""

install -m 644 x11/Xawtv.ad %{buildroot}%{_libdir}/X11/app-defaults
(cd %{buildroot}%{_libdir}/X11/app-defaults; ln Xawtv.ad Xawtv; ln Xawtv.ad Xawtv-color)

install -m 755 %SOURCE2 %{buildroot}%{_bindir}/XawTV

# Menu entries
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=XawTV
GenericName=Watch TV
GenericName[ar]=شاهد التلفاز
GenericName[ca]=Mirar la TV
GenericName[ca@valencia]=Mirar la TV
GenericName[cs]=Sledovat TV
GenericName[da]=Se fjernsyn
GenericName[de]=Fernsehen
GenericName[el]=Παρακολούθηση τηλεόρασης
GenericName[es]=Ver TV
GenericName[fi]=Katso televisiota
GenericName[fr]=Regarder la télévision
GenericName[gl]=Ver TV
GenericName[hu]=TV nézése
GenericName[id]=TV Jam
GenericName[it]=Guarda TV
GenericName[lt]=Žiūrėti TV
GenericName[lv]=Skatīties TV
GenericName[nb]=Se på TV
GenericName[pl]=Oglądaj telewizję
GenericName[pt_BR]=Assistir TV
GenericName[ru]=Просмотр ТВ
GenericName[sk]=Sledovať televíziu
GenericName[sl]=Gledanje TV
GenericName[sr]=Гледај ТВ
GenericName[sr@latin]=Gledaj TV
GenericName[sv]=Se på tv
GenericName[zh_CN]=看电视
Comment=A program for watching TV
Comment[ar]=برنامج لمشاهدة التلفاز
Comment[az]=Televiziya izləmə proqramı
Comment[bn]=টিভি দেখার জন্য একটি প্রোগ্রাম
Comment[bs]=Program za gledanje TVa
Comment[ca]=Un programa per veure la TV
Comment[cs]=Program pro sledování televize
Comment[cy]=Rhaglen ar gyfer gwylio'r teledu
Comment[da]=Et-program for TV-kiggeri
Comment[de]=Ein Programm zum Fernsehen
Comment[el]=Πρόγραμμα παρακολούθησης τηλεόρασης
Comment[es]=Un programa para mirar TV
Comment[et]=TV vaatamise rakendus
Comment[eu]=Telebista ikusteko programa
Comment[fa]=برنامه‌ای برای تماشای تلویزیون
Comment[fi]=Ohjelma TV:n katseluun
Comment[fr]=Programme pour regarder la TV
Comment[gl]=Un programa para ve-la TV
Comment[he]=תוכנה מבוססת Motif לטלוויזיה
Comment[hi]=टीवी देखने के लिए एक कार्यक्रम
Comment[hr]=Program za gledanje TV
Comment[hu]=Tévénézőprogram
Comment[id]=Program untuk melihat TV
Comment[is]=Forrit til að horfa á sjónvarp
Comment[it]=Programma per guardare la TV
Comment[ja]=テレビを見るためのプログラム
Comment[ky]=ТВ көрүү программасы
Comment[mk]=Програма за гледање на телевизија
Comment[mt]=Programm biex tara t-TV
Comment[nb]=Et program for å se på TV
Comment[nl]=Een programma om TV te kijken
Comment[nn]=Eit program for å sjå på fjernsyn
Comment[pl]=Program do oglądania telewizji
Comment[pt]=Um programa para ver TV
Comment[pt_BR]=Programa para assistir TV
Comment[ru]=Программа для просмотра ТВ
Comment[sc]=Unu programa po castiai sa TV
Comment[sk]=Program pre sledovanie TV
Comment[sl]=Program za gledanje televizije
Comment[sq]=Një program për ta shiquar TV(në)
Comment[sv]=Program för TV-tittande
Comment[tg]=Барнома барои дидани оинаи нилгун
Comment[th]=โปรแกรมสำหรับดูทีวี
Comment[tl]=Program para sa panonood ng TV
Comment[tr]=TV seyretmek için program
Comment[uk]=Програма для перегляду ТБ
Comment[uz]=ТВ кўриш учун дастур
Comment[uz@Latn]=TV ko'rish uchun dastur
Comment[vi]=Chương trình để xem TV
Comment[wa]=On programe po rwaitî l' televuzion
Comment[zh_CN]=看电视用的程序
Comment[zh_TW]=一個用來看電視的程式
Exec=XawTV
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;TV;
EOF

cat > %{buildroot}%{_datadir}/applications/mageia-motv.desktop <<EOF
[Desktop Entry]
Name=MoTV
GenericName=Watch TV (nicer interface)
GenericName[ru]=Просмотр ТВ (красивее интерфейс)
Comment=A program for watching TV (nicer interface)
Comment[ru]=Программа для просмотра ТВ (красивее интерфейс)
Exec=motv
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Motif;AudioVideo;Video;TV;
EOF

# dynamic desktop support
%define webcam_launcher /etc/dynamic/launchers/webcam
%define tvtuner_launcher /etc/dynamic/launchers/tvtuner

mkdir -p %{buildroot}{%tvtuner_launcher,%webcam_launcher}
cat > %{buildroot}%webcam_launcher/%{name}.desktop << EOF
[Desktop Entry]
Name=XawTV \$devicename
Comment=The X11 Video4Linux Stream Capture Viewer
TryExec=xawtv
Exec=xawtv -c \$device
Terminal=false
Icon=video_section
Type=Application
EOF
cat > %{buildroot}%tvtuner_launcher/%{name}.desktop << EOF
[Desktop Entry]
Name=XawTV \$devicename
Comment=The X11 Video4Linux Stream Capture Viewer
TryExec=XawTV
Exec=XawTV -c \$device
Terminal=false
Icon=video_section
Type=Application
EOF

%post
update-alternatives --install %webcam_launcher/gnome.desktop webcam.gnome.dynamic %webcam_launcher/%{name}.desktop 20
update-alternatives --install %webcam_launcher/kde.desktop webcam.kde.dynamic %webcam_launcher/%{name}.desktop 20
update-alternatives --install %tvtuner_launcher/kde.desktop tvtuner.kde.dynamic %tvtuner_launcher/%{name}.desktop 20
update-alternatives --install %tvtuner_launcher/gnome.desktop tvtuner.gnome.dynamic %tvtuner_launcher/%{name}.desktop 20

%postun
if [ $1 = 0 ]; then
  update-alternatives --remove webcam.kde.dynamic %webcam_launcher/%{name}.desktop
  update-alternatives --remove webcam.gnome.dynamic %webcam_launcher/%{name}.desktop
  update-alternatives --remove tvtuner.kde.dynamic %tvtuner_launcher/%{name}.desktop
  update-alternatives --remove tvtuner.gnome.dynamic %tvtuner_launcher/%{name}.desktop
fi

%files
%config(noreplace) %tvtuner_launcher/%{name}.desktop
%config(noreplace) %webcam_launcher/%{name}.desktop
%config(noreplace) %{_sysconfdir}/X11/app-defaults/Xawtv
%{_bindir}/xawtv
%{_bindir}/XawTV
%{_mandir}/man1/xawtv.1*
%{_mandir}/fr/man1/xawtv.1*
%{_datadir}/applications/mageia-%{name}.desktop
%{_libdir}/X11/app-defaults/Xawtv*
%{_datadir}/%{name}

%files common
%attr(4711,root,root) %{_bindir}/v4l-conf
%{_bindir}/rootv
%{_bindir}/scantv
%{_bindir}/subtitles 
%{_bindir}/v4l-info
%lang(es) %{_mandir}/es/man1/rootv.*
%lang(es) %{_mandir}/es/man1/scantv.*
%lang(es) %{_mandir}/es/man1/subtitles.*
%lang(es) %{_mandir}/es/man1/xawtv.*
%lang(es) %{_mandir}/es/man5/xawtvrc.*
%lang(es) %{_mandir}/es/man8/v4l-conf.*
%{_mandir}/man1/rootv.1*
%{_mandir}/man1/scantv.1*
%{_mandir}/man1/subtitles*
%{_mandir}/man5/xawtvrc*
%{_mandir}/man8/v4l*
%{_mandir}/man1/v4l-info.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%doc Changes README*
%doc README*
%doc contrib/frequencies*

%files control
%{_bindir}/v4lctl
%{_bindir}/xawtv-remote
%{_mandir}/man1/v4lctl.1*
%lang(es) %{_mandir}/es/man1/v4lctl.*
%{_mandir}/man1/xawtv-remote.1*
%lang(es) %{_mandir}/es/man1/xawtv-remote.*

%files -n fbtv
%{_bindir}/fbtv
%{_mandir}/man1/fbtv*
%lang(es) %{_mandir}/es/man?/fbtv.*

%files misc
%config(noreplace) /etc/X11/app-defaults/mtt
%{_bindir}/dump-mixers
%{_bindir}/mtt
%{_bindir}/ntsc-cc
%{_bindir}/pia
%{_bindir}/propwatch
%{_bindir}/record
%{_bindir}/showqt
%{_bindir}/showriff
%{_mandir}/man1/dump-mixers*
%{_mandir}/man1/mtt*
%{_mandir}/man1/ntsc*
%{_mandir}/man1/pia*
%{_mandir}/man1/record*
%{_mandir}/man1/propwatch*
%{_mandir}/man1/showriff.1*

%files -n motv
%{_bindir}/motv
%{_mandir}/man1/motv*
%{_datadir}/applications/mageia-motv.desktop
%config(noreplace) %{_sysconfdir}/X11/app-defaults/MoTV
%config(noreplace) %{_sysconfdir}/X11/*/app-defaults/MoTV

%files -n radio
%{_bindir}/radio
%{_mandir}/man1/radio*

%files -n streamer
%{_bindir}/streamer
%{_mandir}/man1/streamer*
%lang(es) %{_mandir}/es/man1/streamer.*

%files -n ttv
%{_bindir}/ttv
%{_mandir}/man1/ttv*
%lang(es) %{_mandir}/es/man1/ttv.*

%files web
%{_bindir}/alevtd
%{_bindir}/webcam
%{_mandir}/man1/alevtd.1*
%{_mandir}/man1/webcam.1*



%changelog
* Fri Mar 10 2017 akien <akien> 3.103-13.mga6
+ Revision: 1091641
- Rebuild for v4l-utils 1.12.3

* Tue Feb 09 2016 umeabot <umeabot> 3.103-12.mga6
+ Revision: 951683
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 3.103-11.mga5
+ Revision: 809027
- added GenericName in desktop file

* Tue Nov 11 2014 cjw <cjw> 3.103-10.mga5
+ Revision: 796272
- fix plugin loading by linking apps with --export-dynamic (fixes #14497)
- use motif instead of lesstif for motv

* Wed Oct 15 2014 umeabot <umeabot> 3.103-9.mga5
+ Revision: 738884
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 danf <danf> 3.103-8.mga5
+ Revision: 737413
- Added missing BuildRequires: pkgconfig(fontconfig)

* Fri Sep 19 2014 alexl <alexl> 3.103-7.mga5
+ Revision: 697367
- fixed erratums in launch script

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Sep 03 2014 alexl <alexl> 3.103-5.mga5
+ Revision: 671460
- translated desktop file
- fixed: desktop file without binary

* Sat Oct 19 2013 umeabot <umeabot> 3.103-4.mga4
+ Revision: 528605
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 fwang <fwang> 3.103-3.mga4
+ Revision: 446755
- br quicktime

* Wed Jun 26 2013 fwang <fwang> 3.103-2.mga4
+ Revision: 446750
- try fixings ldflags

* Wed Jun 26 2013 fwang <fwang> 3.103-1.mga4
+ Revision: 446740
- disable undefined as there is no way to set plugins ldflags
- new version 3.103

* Mon Jan 21 2013 pterjan <pterjan> 3.102-4.mga3
+ Revision: 390647
- Make sure headers are generated before the page.c gets built

* Mon Jan 14 2013 umeabot <umeabot> 3.102-3.mga3
+ Revision: 386547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 3.102-2.mga3
+ Revision: 326283
- update RPM group

* Fri May 04 2012 shlomif <shlomif> 3.102-2.mga2
+ Revision: 234711
- Fix for bug #5463 - undefined symbols in dlopen() from libm.so
- Update the patch
- New version - 3.102

* Tue Nov 15 2011 barjac <barjac> 3.100-1.mga2
+ Revision: 167961
- imported package xawtv

